Submission results request - node-specific

Prev Next

Returns a malware file analysis report that is specific to nodes.

GET https://<address>/wsapis/mvx/[v2.0.0]/submissions/result/[uuid]

Note

Trellix recommends using the "Submission results request based on format 2.0" API as the "Submission results request - node-specific" API is reserved for backward compatibility.

Required headers:

X-FeApi-Token: [API-Token]
X-FeClient-Token: [Client-Token]

Options

  • address—The IP address of the appliance running the Web Services API.

  • uuid—Provided by your appliance during the submission process, this key identifies the unique file submitted for analysis.

  • API-Token—This token authenticates the session. By default, the session times out after 15 minutes of inactivity.

  • Client-Token—(Optional) This client token is provided by Trellix. For more information about the client token, contact your sales representative.

Example request

GET https://xxx.xxx.xxx.xxx:443/wsapis/mvx/v2.0.0/submissions/result/ce45e629-8702-4ec4-9c1f-71b009ecc5113831

Request headers:

X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
X-FeClient-Token: BigDataInc

Results response

After the submission results request is received, the appliance forwards the malware object data back to the remote server.

Note

If you make a results request before the analysis is complete, you will receive a response with no analysis data.

HTTP/1.1 [Response Code] [Response Message]
Date: [Date]

Body:

[Result Data]
Response fields
  • Response Code—A standard HTML response code.

    • 200—Request successful.

    • 401—Request unsuccessful due to incorrect session token.

    • 404—Request unsuccessful due to incorrect submission key.

  • Response Message—A standard HTML response message.

    • OK—Request successful.

    • Unauthorized—Request unsuccessful due to incorrect session token.

    • Not Found—Request unsuccessful due to incorrect submission key.

  • Date—Standard HTML date format.

  • Results Data—The analysis data of the submitted malware object.

Example
HTTP/1.1 200 OK
Date: Wed, 8 Aug 2018 03:39:00 GMT

Body:

{

  "feProduct": "MVX",

  "feIntelVersion": "1109.190",

  "submissionId": "ce45e629-8702-4ec4-9c1f-71b009ecc511",

  "isMalicious": 0,

  "feIntel": 1109.19,

  "submissionTime": "2021-02-02T18:27:25.329964",

  "detectionTime": "2021-02-02T18:28:34.56658",

  "resultSet": [{

    "originalName": "malicious-2.pdf",

    "sha256": "e678f580011dd8b2d482c80ed099a7120a86bf7824c9e8a13338da073ada0e47",

    "md5Sum": "cff1bc032e3378951ff110491f5c0f78",

    "engineResults": []

  }],

  "status": "done"

}

cURL code sample: submission results request

The following code sample can be copied and executed from any command-line interface that includes the cURL library. This sample builds on the authentication cURL code sample.

Note

In this sample, line breaks are added for readability. Remove these line breaks before you paste the code sample into your command-line tool.

curl -qgsSkH "Content-Type: multipart/form-data" --no-progress-bar --header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" -F https://xxx.xxx.xxx.xxx:443/wsapis/mvx/v2.0.0/submissions/result/ce45e629-8702-4ec4-9c1f-71b009ecc511

The cURL sample performs the following tasks:

  • -q—This option specifies that the curlrc config file is not read or used. Although this is an optional setting, Trellix recommends that you include this option.

  • -g—This option turns off the URL globbing parser. Although this is an optional setting, Trellix recommends that you include this option.

  • -s—This option turns off the progress meter and error message. Although this is an optional setting, Trellix recommends that you include this option.

  • -S—When used with the -s option, this option shows error messages if your cURL switch fails. Although this is an optional setting, Trellix recommends that you include this option.

  • -k—This option explicitly allows cURL to perform insecure SSL connections and transfers. This allows you to test your SSL connection without installing a CA certificate.

  • -H—This option allows you to specify a custom header with the --header switch.

  • Content-Type: multipart/form-data—This option encodes the data as a multipart form.

  • --no-progress-bar—This option suppresses the cURL download progress bar, which can interfere with the request.

  • --header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"—This custom header includes the API-Token that was returned by your appliance during the authentication request. In the authentication cURL code sample, this token was included in the auth.txt file. Replace the token in the sample with the token received in response to your authentication request.

Results

The requested submission returns a JSON-formatted malware analysis report.